Qlik Community

Qlik Sense Deployment & Management

Discussion board where members learn more about Qlik Sense Installation, Deployment and Management.

henrikmatz
Contributor II

Upgrade QlikSense to 2.2 error

I struggle with an upgrade of our QlikSense server from version 2.1.1 to 2.2.0.

Operation system is Windows server 2012R.

Logfiles are enclosed.

When I look in the log-files it seams that its the repository (PostgreSQL) that gives the error. That msi-file can't be installed.

For me it looks like, that the upgrade process try to install msi-file in a folder that do not exists.

I had same issue trying to upgrade to 2.1.1. That time I had to drop old version and then install new version. But then I lost a lot of user-created app-objects in repository. I don't wanna try this again.

Any suggestion?

1 Solution

Accepted Solutions
henrikmatz
Contributor II

Re: Upgrade QlikSense to 2.2 error

We got help from support with this.

10 Replies
Not applicable

Re: Upgrade QlikSense to 2.2 error

Try this work around procedure

1. Open regedit

2. Seach for HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders

3. Change the path in "Personal" entry to a local path, but remember the old path!

4. Now you can install qlikview without an error.

5. Change the path in "Personal" to your old.

vlad_komarov
Valued Contributor III

Re: Upgrade QlikSense to 2.2 error

Which 2.2 version are you trying to install?

The 2.2.3 (original release) had few bugs (!!) and was replaced with 2.2.4 release few weeks after.

Couple of biggest issues with 2.2.3 were the issue with updating the Repository and migrating applications....

VK

henrikmatz
Contributor II

Re: Upgrade QlikSense to 2.2 error

I tested this workaround but with no luck.

Its a bit stange because the server is brand new.

henrikmatz
Contributor II

Re: Upgrade QlikSense to 2.2 error

Sorry the upgrade we try to do is from 2.1.1 to 2.2.4.

We had the same issue when we try to upgrade from 2.1.1 to 2.2.3.

vlad_komarov
Valued Contributor III

Re: Upgrade QlikSense to 2.2 error

There is a script to clean up your repository database. I've got it from Qlik support.

You can run it before you upgrade and occasionally thereafter, especially if you do a lot of reloading.

Try it, it might help in your case....

I’ve attached that but you will need to change the extension back to zip.


Regards,

Vladimir

henrikmatz
Contributor II

Re: Upgrade QlikSense to 2.2 error

We got help from support with this.

henrikmatz
Contributor II

Re: Upgrade QlikSense to 2.2 error

There is a new script than "SenseCleanupScript_v1.2".

I would recommend to contact support for the newest version.

Not applicable

Re: Upgrade QlikSense to 2.2 error

Hi Henrik,

May we know what you have done or was there a guide by support to transfer all the configurations in QMC to the new version? I am planning to upgrade from 2.0.1 to 2.2.4 but unsure whether there is a way as there is so much info to be lose.

vlad_komarov
Valued Contributor III

Re: Upgrade QlikSense to 2.2 error

Syed,

You just need to follow the Installation instructions (in Release Notes). I would suggest a Backup and Repository cleanup prior to the upgrade. Please note that both these processes are stopping Qlik Services, so make sure you do not have any processes running on your server prior to upgrade.

VK

Community Browser